Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418308 - Error message key does not match the real parameter.
Summary: Error message key does not match the real parameter.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: API
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 14:09 UTC by Stephen Wadeley
Modified: 2019-08-12 16:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-02 20:58:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Stephen Wadeley 2017-02-01 14:09:30 UTC
Description of problem:

If you omit "domain" when testing a POST to API command the error message prompts you for:

"interfaces.domain", but I think you should only be prompted for "domain".

If you search API reference /apidoc/v2/hosts/create.html it is not clear either.

You can see:
host[mac]
 host[domain_id]

 but no  host[domain]


Version-Release number of selected component (if applicable):

Version Satellite 6.2.6

Steps to Reproduce:
curl -H "Accept:application/json,version=2" -H "Content-Type:application/json" -X POST -u admin:password -k -d "{}" https://sat6-2.example.com/api/hosts | python -m json.tool


Actual results:

            "interfaces.domain": [
                "can't be blank"
            ],
            "interfaces.domain_id": [
                "can't find domain with this id"
            ],
            "interfaces.mac": [
                "can't be blank"
            ],


Expected results:

            "domain": [
                "can't be blank"
            ],
            "domain_id": [
                "can't find domain with this id"
            ],
            "mac": [
                "can't be blank"
            ],


Additional info:

Comment 2 Bryan Kearney 2018-08-02 20:58:05 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.